Zum Inhalt springen

debug_node_api.debug_has_hardfork ​

disabled

Defined in the steem source (52dcfabb); the debug_node plugin is not enabled on public nodes.

Purpose ​

Gibt zurück, ob ein bestimmter Hardfork auf einem Debug-Knoten angewendet wurde.

Parameters ​

PARAMETERS
json
{
  "hardfork_id": 0
}

⚠ Im steem-Quellcode definiert, auf öffentlichen Knoten aber nicht aktiviert.

Example ​

BASH
bash
# NOTE: this method is no longer served by public nodes
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "debug_node_api.debug_has_hardfork",
    "params": {
      "hardfork_id": 0
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "has_hardfork": false
}